package com.nexirius.framework.datamodel.persistence.generic;

import com.nexirius.framework.jdbc.JdbcConnectionHandler;

public class GenericDatabaseManager {
    private JdbcConnectionHandler jdbcConnectionHandler;
    private DataModelSearchAttributesTable searchAttributesTable;

    public GenericDatabaseManager(JdbcConnectionHandler jdbcConnectionHandler) {
        this.jdbcConnectionHandler = jdbcConnectionHandler;
        searchAttributesTable = new DataModelSearchAttributesTable();
    }

    public IGenericDatabase getIGenericDatabase(IGenericNamespace namespace) {
        return new GenericDatabase(jdbcConnectionHandler, namespace, searchAttributesTable);
    }

    public DataModelSearchAttributesTable getSearchAttributesTable() {
        return searchAttributesTable;
    }
}
