//{HEADER
/**
 * This class is part of jnex 'Nexirius Application Framework for Java'
 *	
 * Copyright (C) Nexirius GmbH, CH-4450 Sissach, Switzerland (www.nexirius.ch)
 * 
 * <p>This library is free software; you can redistribute it and/or<br>
 * modify it under the terms of the GNU Lesser General Public<br>
 * License as published by the Free Software Foundation; either<br>
 * version 2.1 of the License, or (at your option) any later version.</p>
 * 
 * <p>This library is distributed in the hope that it will be useful,<br>
 * but WITHOUT ANY WARRANTY; without even the implied warranty of<br>
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU<br>
 * Lesser General Public License for more details.</p>
 * 
 * <p>You should have received a copy of the GNU Lesser General Public<br>
 * License along with this library; if not, write to the Free Software<br>
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</p>
 * </blockquote>
 * 
 * <p>
 * Nexirius GmbH, hereby disclaims all copyright interest in<br>
 * the library jnex' 'Nexirius Application Framework for Java' written<br>
 * by Marcel Baumann.</p>
 */
//}HEADER
package com.nexirius.framework.swing.paintbutton;

import com.nexirius.framework.command.Command;
import com.nexirius.framework.command.Processor;
import com.nexirius.util.resource.ClientResource;

import java.awt.*;

public class OpenEndArrowLeftButton extends PaintButton {



    static Point myoffset[] = {new Point(5, 3), new Point(5, 3), new Point(4, 2), new Point(4, 2)};
    static int x0[] = {7, 2, 7, 7, 4, 7, 7};
    static int y0[] = {0, 5, 10, 8, 5, 2, 0};
    static int x1[] = {0, 1, 1, 0, 0};
    static int y1[] = {0, 0, 10, 10, 0};
    static Polygon mypolygon[] = {new Polygon(x0, y0, x0.length), new Polygon(x1, y1, x1.length), new Polygon(x0, y0, x0.length), new Polygon(x1, y1, x1.length)};
    static Color mycolor[] = {shadowColor, shadowColor, foregroundColor, foregroundColor};

    public OpenEndArrowLeftButton(ClientResource resource, Command command, Processor processor) {
        super(resource, command, processor, myoffset, mypolygon, mycolor);
    }
}
