package com.nexirius.util;

import java.util.Iterator;

/**
 *  A simple wrapper class to make any iterator iterable!
 *  Strangely this is not build into Java!
 * @author bubenma1
 *
 * @param <T>
 * @see http://www.rittau.org/blog/20061122-00
 */
public class IterableIterator<T> implements Iterable<T>
{
    private Iterator<T> iter;

    public IterableIterator(Iterator<T> iter)
    {
        this.iter = iter;
    }

    public Iterator<T> iterator()
    {
        return iter;
    }
}
