//{HEADER
/**
 * This class is part of jnex 'Nexirius Application Framework for Java'
 *	
 * Copyright (C) Nexirius GmbH, CH-4450 Sissach, Switzerland (www.nexirius.ch)
 * 
 * <p>This library is free software; you can redistribute it and/or<br>
 * modify it under the terms of the GNU Lesser General Public<br>
 * License as published by the Free Software Foundation; either<br>
 * version 2.1 of the License, or (at your option) any later version.</p>
 * 
 * <p>This library is distributed in the hope that it will be useful,<br>
 * but WITHOUT ANY WARRANTY; without even the implied warranty of<br>
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU<br>
 * Lesser General Public License for more details.</p>
 * 
 * <p>You should have received a copy of the GNU Lesser General Public<br>
 * License along with this library; if not, write to the Free Software<br>
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</p>
 * </blockquote>
 * 
 * <p>
 * Nexirius GmbH, hereby disclaims all copyright interest in<br>
 * the library jnex' 'Nexirius Application Framework for Java' written<br>
 * by Marcel Baumann.</p>
 */
//}HEADER
package com.nexirius.util;

class TestSortedVector implements Sorter {
    public int compare(Object o1, Object o2) {
        Integer i1 = (Integer) o1;
        Integer i2 = (Integer) o2;

        if (i1.intValue() > i2.intValue()) {
            return -1;
        }

        return 0;
    }

    public static void main(String argv[]) {
        Integer ia[] = new Integer[10];
        TestSortedVector sorter = new TestSortedVector();

        ia[0] = new Integer(9);
        ia[1] = new Integer(2);
        ia[2] = new Integer(3);
        ia[3] = new Integer(7);
        ia[4] = new Integer(6);
        ia[5] = new Integer(2);
        ia[6] = new Integer(3);
        ia[7] = new Integer(4);
        ia[8] = new Integer(5);
        ia[9] = new Integer(1);

        SortedVector v = new SortedVector();

        int i = 0;

        for (i = 0; i < 10; ++i) {
            v.addElement(ia[i]);
        }

        v.sort(sorter);

        for (i = 0; i < v.size(); ++i) {
            Integer integer = (Integer) v.elementAt(i);

            System.out.println(integer);
        }

        System.out.println("-------");

        for (i = 0; i < 10; ++i) {
            v.sortInsert(ia[i], sorter);
        }

        for (i = 0; i < v.size(); ++i) {
            Integer integer = (Integer) v.elementAt(i);

            System.out.println(integer);
        }
    }
}
